#include "mus.h"

extern bool g_DAInternalGapsOnly;

#define g	(SCORE) Params.Get(P_g)
#define e	(SCORE) Params.Get(P_e)
#define tg	(SCORE) Params.Get(P_tg)
#define te	(SCORE) Params.Get(P_te)
#define dg	(SCORE) Params.Get(P_dg)
#define de	(SCORE) Params.Get(P_de)
#define mf	(SCORE) Params.Get(P_mf)

SCORE ScoreEdge(const ParamVec &Params, uns LA, uns LB, uns i, uns j, EDGE E)
	{
	switch (E)
		{
	case Edge_SM:
	case Edge_MM:
	case Edge_DM:
	case Edge_IM:
		return 0;

	case Edge_SD:
	case Edge_SI:
		return tg;

	case Edge_ID:
	case Edge_MD:
		asserta(j != 0);
		if (j == LB)
			return tg;
		else
			return g;

	case Edge_DI:
	case Edge_MI:
		asserta(i != 0);
		if (i == LA)
			return tg;
		else
			return g;

	case Edge_DD:
		if (j == 0 || j == LB)
			return te;
		else
			return e;

	case Edge_II:
		if (i == 0 || i == LA)
			return te;
		else
			return e;

	default:
		asserta(false);
		}
	UNREACHABLE_RETURN(0);
	}
