#include "mus.h"

// UPGMA tree bad idea!!
void Tree2DistMx(const Tree &t, ScoreMx &DistMx)
	{
	vector<double> Depths;
	t.GetDepths(Depths);

	const uns NodeCount = t.GetNodeCount();
	AllocScoreMx(NodeCount, NodeCount, DistMx);
	SetScoreMx(DistMx, NodeCount, NodeCount, 0);

	const uns Root = t.GetRootNodeIndex();
	for (uns NodeIndex = 0; NodeIndex < NodeCount; ++NodeIndex)
		{
		if (!t.IsLeaf(NodeIndex))
			continue;

		for (uns NodeIndex2 = 0; NodeIndex2 < NodeCount; ++NodeIndex2)
			{
			if (!t.IsLeaf(NodeIndex2))
				continue;

			SCORE Dist = (SCORE) (Depths[NodeIndex] + Depths[NodeIndex2]);

			DistMx[NodeIndex][NodeIndex2] = Dist;
			DistMx[NodeIndex2][NodeIndex] = Dist;
			}
		}

	for (uns i = 0; i < NodeCount; ++i)
		Log("Node %u %s depth %g\n", i, t.GetName(i).c_str(), Depths[i]);
	t.LogMe();//@@
	LogScoreMx(DistMx, NodeCount, NodeCount);//@@
	}
