#include "mus.h"

const char *AlnParamToStr(AlnParam p)
	{
	switch (p)
		{
#define P(x)	case P_##x: return #x;
#include "alnparams.h"
	default:
		break;
		}
	return "?";
	}

const AlnParam StrToAlnParam(const string &s)
	{
	if (0)
		;
#define P(x)	else if (s == #x) return P_##x;
#include "alnparams.h"
	else
		Die("StrToAlnParam(%s)", s.c_str());
	UNREACHABLE_RETURN((AlnParam) 0);
	}

const char *AlnParamToStr(uns i)
	{
	return AlnParamToStr((AlnParam) i);
	}
