#ifndef letters_h
#define letters_h

const unsigned char cXX = '@';

// Non-terminal
const unsigned char cX_ = '(';
const unsigned char c_X = ')';
const unsigned char c__ = '_';

// Terminal
const unsigned char cX_t = '[';
const unsigned char c_Xt = ']';
const unsigned char c__t = '^';

byte CharToLetter(char c);
char LetterToChar(byte Letter);
bool IsGapLetter(byte b);
bool IsGapChar(char c);
void StrToLetters(const string &s, vector<byte> &Letters);
void LettersToStr(const vector<byte> &Letters, string &Seq);
byte DimerToLetter(uns iDimer);

#endif // letters_h
