#ifndef paramspace_h
#define paramspace_h

class ParamSpace
	{
public:
	void Clear()
		{
		m_ParamsToQ.clear();
		}
	bool Find(const ParamVec &Params, double &Q) const;
	bool Find(const ParamVec &Params, double &Q, ParamVec &MatchedParams) const;
	void Add(const ParamVec &Params, double Q);
	void FromFile(const char *FileName);
	void ToFile(const char *FileName) const;
	void ToVectors(vector<ParamVec> &ParamVec, vector<double> &Qs) const;

private:
	map<ParamVec, double> m_ParamsToQ;
	};

#endif // paramspace_h
