#ifndef path_h
#define path_h

const char S_M = 'M';
const char S_UM = 'm';
const char S_MA = 'a';
const char S_UA = 'u';
const char S_MB = 'B';
const char S_MC = 'c';
const char S_UB = 'v';
const char S_D = 'D';
const char S_DA = 'd';
const char S_DC = 'e';
const char S_I = 'I';
const char S_IA = 'i';
const char S_IC = 'j';

static inline bool IsMatchState(char c)
	{
	switch (c)
		{
	case S_M:
	case S_MA:
	case S_MB:
	case S_MC:
	case S_UA:
		return true;
		}
	return false;
	}

static inline bool IsDelState(char c)
	{
	switch (c)
		{
	case S_D:
	case S_DA:
	case S_DC:
		return true;
		}
	return false;
	}

static inline bool IsInsState(char c)
	{
	switch (c)
		{
	case S_I:
	case S_IA:
	case S_IC:
		return true;
		}
	return false;
	}

#endif // path_h
