#include "utils.h"
#include "getopts.h"
#include "progress.h"
#include "dpmem.h"

void HillClimb();
void Pop();
void AlnPWSet();

int main(int argc, char *argv[])
	{
	ProcessArgVect(argc, argv);

	fprintf(stderr, 
"pop v1.0\n"
"By Robert C. Edgar\n"
"http://www.drive5.com/pop\n"
"This software is donated to the public domain.\n"
"Please visit web page for requested citation.\n");

	if (0)
		;
	else if (ValueOpt("pop"))
		Pop();
	else if (ValueOpt("hillclimb"))
		HillClimb();
	else if (ValueOpt("alnpwset"))
		AlnPWSet();
	else
		Usage();

	ProgressExit();
	return 0;
	}
