#include <stdio.h>

void Usage()
	{
	fprintf(stderr, 

"\n"
"Basic Usage\n"
"\n"
"Learn gap parameters:\n"
"    pop -pop <dfafile> -model [g2|g4] -mx <matrixfile> -log <logfile>\n"
"\n"
"Re-align training set and report training set accuracy (Q):\n"
"    pop -alnpwset <dfafile> -model g2 -g <g> -e <e> [-out <dfafile>] [-logalns] -log <logfile>\n"
"    pop -alnpwset <dfafile> -model g4 -g <g> -e <e> -tg <tg> -te <te> [-out <dfafile>] [-logalns] -log <logfile>\n"
"\n"
"Hill-climb from given starting point:\n"
"    pop -hillclimb <dfafile> -model g2 -g <g> -e <e> [-logalns] [-fast] -log <logfile>\n"
"    pop -hillclimb <dfafile> -model g4 -g <g> -e <e> -tg <tg> -te <te> [-logalns] [-fast] -log <logfile>\n"
"\n"
"A dfafile is a set of training alignments, each in FASTA format.\n"
"Columns in training alignments containing upper-case letters are\n"
"considered significant, other columns are ignored for computing Q.\n"
"Each training alignment is preceded by a line in this format:\n"
"\n"
"  <Label\n"
"\n"
"The '<' symbol must appear in column 1 and Label must be unique in the set.\n"
"Multiple or pairwise alignments may be given. If multiple, all pairs are extracted\n"
"and each a pair is weighted by the number of pairs.\n"
"\n" 
"Models: g2 is affine gaps, g4 is affine gaps with separate terminal penalties.\n"
"-g and -e are gap-open and -extend, penalty = g + (L - 1) e. Terminal gaps are tg and te.\n"
"\n"
"Substitution matrix file must be in BLAST format. Integer and floating point values\n"
"are supported.\n"
"\n"
"Option for all commands:\n"
"   -seed      Random number seed (default compute from process id & time).\n"
"\n"
"Advanced options for -pop:\n"
"   -paths     Number of paths to explore (default 4).\n"
"   -subset1   Subset size for 1st step (default 20).\n"
"   -subset2   Subset size for 2nd step (default 200).\n"
"   -gridsize  Number of values on one axis in step 1 (default 8).\n"
"   -Xlo, -Xhi Lo,Hi values on one axis for X in {g,e,tg,te}.\n"
"                 Defaults: Xlo=0, ghi and tghi=2(max - min),\n"
"                 ehi and tehi=ghi/3 where max, min in subst. mx.\n"
"   -nX        Number of values for given axis (overrides -gridsize).\n"
"   -maxdirs2  Max simultaneous axes 2nd step (default 1)\n"
"   -maxdirs3  Max simultaneous axes 3rd step (default 2)\n"
"   -mindq2    Min change in Q in 2nd step (default 0.001).\n"
"   -mindq3    Min change in Q in 3rd step (default 0.001).\n"
"   -maxdq2    Max change in Q in 2nd step (default 0.01).\n"
"   -maxdq3    Max change in Q in 3rd step (default 0.003).\n"
"   -mindp2    Min change in param in 2nd step (default 0.01).\n"
"   -mindp3    Min change in param in 3rd step (default 0.01).\n"
"   -maxdp2    Max change in param in 2nd step (default 1.0).\n"
"   -maxdp3    Max change in param in 3rd step (default 1.0).\n"
"\n"
"Advanced options for -hillclimb:\n"
"   -maxdirs, -mindq, -maxdq, -mindp, -maxdp\n"
"              As for step 2 or 3 of pop above.\n");
	}
